package multinomad.algorithms;

import multinomad.config.Configuration;
import multinomad.config.LoadProperties;
import multinomad.individuals.DoubleIndividual;
import multinomad.individuals.Population;
import multinomad.tools.ClosedInterval;
import multinomad.tools.CommonState;

public class ContourSectionHyperplane implements Runnable{
	
	public void run() {
		
		// Step 1: Explore the landscape with a large population
		double[] x_aux = new double[Configuration.f.getDimension()];
		int index = 0;
		for(ClosedInterval.Double i : Configuration.f.getBounds()){
			x_aux[index] = (CommonState.r.nextDouble()*(i.upper-i.lower))+i.lower;
			index++;
		}
		
			Population pop = new Population(4,10,x_aux);
			//for(DoubleIndividual ind : pop) {
				//System.out.println("Contour:\t\t"+ ind.asString());
			//}
	}
	
	public static void main(String[] args) {
		//System.out.println(Pattern.quote("["));
		LoadProperties lp = new LoadProperties(args,null);
		Configuration.setConfiguration(lp);
		ContourSectionHyperplane contour = new ContourSectionHyperplane();
		Thread t1 =new Thread(contour);  
		t1.start();		
	}

}
